curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone_name": "<string>",
"mode": "onetsolutions"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"cloudflare_nameservers": "<unknown>",
"is_verified": true,
"record_count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"mode": "onetsolutions",
"is_active": true
}Create a new DNS zone for hosting domain DNS records. The zone will be provisioned in Cloudflare and configured with default SOA and NS records. Once created, you can add additional DNS records and optionally attach the zone to a domain for integrated management. Zone names must be valid domain names and unique within the project.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone_name": "<string>",
"mode": "onetsolutions"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"cloudflare_nameservers": "<unknown>",
"is_verified": true,
"record_count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"mode": "onetsolutions",
"is_active": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
DNS zone created successfully
253Show child attributes
onetsolutions - onetsolutionsclient - clientonetsolutions, client